import { SourceNode } from '@journeyapps/source-utils';
import { VFS } from './VFS';
import { SourceEntry } from './SourceEntry';
export interface SingleTransformOptions {
    inputs: string[];
    target: string;
    isScript?: boolean;
    isModule?: boolean;
}
/**
 * Abstract class to simplify implementation of a VFS that generates a single
 * file from one or more inputs.
 */
export declare abstract class SingleTransform implements VFS {
    readonly target: string;
    readonly inputs: string[];
    readonly isScript: boolean;
    readonly isModule: boolean;
    protected constructor(options: SingleTransformOptions);
    abstract generateSingle(): SourceNode | null;
    abstract getVersion(): string | null;
    read(target: string): SourceNode | null;
    info(path: string): SourceEntry | null;
    listFiles(): string[];
    getTargetsFor(source: string): string[] | null;
}
